%global major 0
%define libname %mklibname broadvoice %major
%define devname %mklibname -d broadvoice
Summary:    Library for the BroadVoice 16 and 32 speech codecs
Name:       broadvoice
Version:    0.1.0
Release:    %mkrel 6
License:    LGPL2.1
Group:      System/Libraries
URL:        https://www.soft-switch.org/broadvoice
#https://files.freeswitch.org/repo/deb/debian/pool/main/libb/libbroadvoice/
Source:     https://www.soft-switch.org/downloads/codecs/broadvoice-0.1.0.tar.gz

BuildRequires: pkgconfig(audiofile)
BuildRequires: doxygen 
BuildRequires: libtool

%description
broadvoice is a library for the BroadVoice 16 and 32 speech codecs.

%package -n %libname
Summary:    Library for the BroadVoice 16 and 32 speech codecs
Group:      System/Libraries

%description -n %libname
libbroadvoice development files.

%package -n %devname
Summary:    BroadVoice development files
Group:      Development/C
Requires:   %libname = %{version}
Provides:   broadvoice-devel

%description -n %devname
libbroadvoice development files.

%prep
%setup -q

%build
./autogen.sh
%configure --enable-doc --disable-static --disable-rpath
make

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/libbroadvoice.la

%files -n %libname
%doc ChangeLog AUTHORS COPYING NEWS README 
%{_libdir}/libbroadvoice.so.%{major}
%{_libdir}/libbroadvoice.so.%{major}.*

%files -n %devname
%doc doc/api
%{_includedir}/broadvoice.h
%{_includedir}/broadvoice
%{_libdir}/libbroadvoice.so
%{_libdir}/pkgconfig/broadvoice.pc



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.1.0-6.mga10
+ Revision: 2195202
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 0.1.0-5.mga9
+ Revision: 1791524
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1510812
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 0.1.0-3.mga7
+ Revision: 1295681
- Mageia 7 Mass Rebuild

* Mon Apr 04 2016 tv <tv> 0.1.0-2.mga6
+ Revision: 998297
- provides broadvoice-devel

* Mon Apr 04 2016 tv <tv> 0.1.0-1.mga6
+ Revision: 998281
- imported package broadvoice


* Mon Apr 04 2016 Thierry Vignaud <tv@mageia.org> 0.1.0-1.mga6
- initial release
